package com.inspect.patrol.contants;

import lombok.Getter;

@Getter
public enum PtzControlEnum {
    LEFT("left"),
    RIGHT("right"),
    UP("up"),
    DOWN("down"),
    UP_LEFT("upleft"),
    UP_RIGHT("upright"),
    DOWN_LEFT("downleft"),
    DOWN_RIGHT("downright"),
    ZOOM_IN("zoomin"),
    ZOOM_OUT("zoomout"),
    LEFT_STOP("leftstop"),
    RIGHT_STOP("rightstop"),
    UP_STOP("upstop"),
    DOWN_STOP("downstop"),
    UP_LEFT_STOP("upleftstop"),
    UP_RIGHT_STOP("uprightstop"),
    DOWN_LEFT_STOP("downleftstop"),
    DOWN_RIGHT_STOP("downrightstop"),
    ZOOM_IN_STOP("zoominstop"),
    ZOOM_OUT_STOP("zoomoutstop"),
    STOP("stop"),
    LOCK("lock"),
    UNLOCK("unlock"),
    NEAR_FOCUS("nearfocus"),
    NEAR_FOCUS_STOP("nearfocusstop"),
    FAR_FOCUS("farfocus"),
    FAR_FOCUS_STOP("farfocusstop"),
    APERTURE_ON("apertureon"),
    APERTURE_ON_STOP("apertureonstop"),
    APERTURE_OFF("apertureonoff"),
    APERTURE_OFF_STOP("apertureonoffstop");

    private String value;

    private PtzControlEnum(String value) {
        this.value = value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
